clear all; close all; clc;

% Calcul de la fonction de transfert 
N=1e3;
Dist_min=0;
Dist_max=500;
Dist_mm=linspace(Dist_min,Dist_max,N);
Seuil_max=256;
Seuil_min=10;
Dist_seuil=zeros(1,N);
Etat_seche=zeros(1,N);

for i=1:N
    if (Dist_mm(i) < Seuil_max) && (Dist_mm(i) > Seuil_min)
        Dist_seuil(i)=Dist_mm(i);
    elseif (Dist_mm(i) >= Seuil_max)
        Dist_seuil(i)=Seuil_max;
    elseif (Dist_mm(i) <= Seuil_min)
        Dist_seuil(i)=0;
    else
        Dist_seuil(i)=0;
    end;
end;

% Affichage 
plot(Dist_mm, Dist_seuil); grid on;
xlabel('Distance(mm) Avant le seuil');
ylabel('Distance(mm) Apres le seuil');


